Update a post
curl --request PATCH \
--url https://api.cut.pro/api/v1/posts/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"scheduled_at": "<string>",
"items": [
{
"edit_id": "<string>",
"connection_id": "<string>",
"metadata": {
"facebook": {
"description": "<string>",
"videoTitle": "<string>",
"coverImageId": "<string>"
},
"twitter": {
"text": "<string>",
"coverImageId": "<string>"
}
},
"item_id": "<string>"
}
]
}
'import requests
url = "https://api.cut.pro/api/v1/posts/{id}"
payload = {
"scheduled_at": "<string>",
"items": [
{
"edit_id": "<string>",
"connection_id": "<string>",
"metadata": {
"facebook": {
"description": "<string>",
"videoTitle": "<string>",
"coverImageId": "<string>"
},
"twitter": {
"text": "<string>",
"coverImageId": "<string>"
}
},
"item_id": "<string>"
}
]
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scheduled_at: '<string>',
items: [
{
edit_id: '<string>',
connection_id: '<string>',
metadata: {
facebook: {description: '<string>', videoTitle: '<string>', coverImageId: '<string>'},
twitter: {text: '<string>', coverImageId: '<string>'}
},
item_id: '<string>'
}
]
})
};
fetch('https://api.cut.pro/api/v1/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "pending",
"scheduled_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"item_count": 123,
"items": [
{
"id": "<string>",
"platform": "youtube",
"connection_id": "<string>",
"edit_id": "<string>",
"render_id": "<string>",
"status": "pending",
"published_url": "<string>",
"error_code": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"posted_at": "<string>"
}
]
}{
"code": "INVALID_SCHEDULED_AT",
"item_id": "<string>",
"invalid_connections": [
"<string>"
]
}{
"code": "POST_NOT_FOUND",
"invalid_edits": [
"<string>"
]
}Publicação
Update a post
Updates a post that is still pending. Two things can change:
• scheduled_at — reschedule (must be at least 1 minute in the future) or set to null to publish immediately. Only allowed while every item is still in pending state.
• items — replace the set of pending items. Items with item_id are updated in place, items without are inserted, and pending items not present in the body are deleted. Items that already finished publishing are never touched.
At least one of scheduled_at or items must be provided.
PATCH
/
posts
/
{id}
Update a post
Autorizações
Parâmetros de caminho
Corpo
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Resposta
Response for status 200
Última modificação em 23 de agosto de 2026
Esta página foi útil?